<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <title>Licenta :: Search</title>
</head>
<body>
<div class="section no-pad-bottom" layout:fragment="content">
    <div class="row">
        <div class="col s4 offset-s4">
            <div id="userSearch" class="card-panel hoverable row" th:if="${users} != null">
                <div>
                    <b><span class="black-text center">Search</span></b>
                </div>
                <div id="noSearchResultsUsers" th:if="${#lists.isEmpty(users)}">
                    <b><span class="black-text center">No users found</span></b>
                </div>
                <div th:if="${not #lists.isEmpty(users)}">
                    <b><span class="black-text center">Users found</span></b>
                </div>
                <div class="divider"></div>
                <ul id="users" class="collection" th:if="${not #lists.isEmpty(users)}">
                    <li th:id="'user-' + ${user.id}" class="collection-item" th:each="user : ${users}">
                        <div>
                            <a th:href="@{'/u/'+${user.username}}"><span th:id="'userName-' + ${user.id}"style="word-wrap: break-word;" class="title" th:text="'@'+${user.username}">Username</span></a>
                            <span th:id="'userCreationDate-' + ${user.id}" class="title right"
                                  th:text="'Join date: '+ ${#dates.format(user.creationDate, 'dd-MMM-yyyy')}">Created at</span>
                        </div>
                        <p th:id="'userDescription-' + ${user.id}" th:text="${#strings.isEmpty(user.description)}? 'This user has no description.' : ${user.description}"></p>
                    </li>
                </ul>
            </div>
            <div id="tweetSearch" class="card-panel hoverable row" th:if="${tweets} != null">
                <div id="noSearchResultsTweets" th:if="${#lists.isEmpty(tweets)}">
                    <b><span class="black-text center">No tweets found</span></b>
                </div>
                <div th:if="${not #lists.isEmpty(tweets)}">
                    <b><span class="black-text center">Tweets found</span></b>
                </div>
                <div class="divider"></div>
                <ul id="tweets" class="collection" th:if="${not #lists.isEmpty(tweets)}">
                    <li class="collection-item" th:id="'tweet-' + ${tweet.id}" th:each="tweet : ${tweets}">
                            <div>
                                <a th:href="@{'/u/'+${tweet.user.username}}"><span th:id="'tweetUsername-' + ${tweet.id}" class="title" th:text="'@'+${tweet.user.username}">Username</span></a>
                                <span class="title right" th:id="'tweetCreationDate-' + ${tweet.id}" th:text="'Posted at: ' + ${#dates.format(tweet.creationDate, 'dd-MMM-yyyy HH:mm')}">Posted at</span>
                            </div>
                            <p style="word-wrap: break-word;" th:id="'tweetDescription-' + ${tweet.id}" th:text="${tweet.content}">Tweet message</p>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</div>
</body>
</html>
